/*
 * @(#)Statutes.java    r 21 Nis 2010 13:24:20 EEST
 *
 * Murat iNAN, dilmerkezi.net
 */
/*
*** This program wrote under GNU/General Public License ***

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.
*/
package net.dilmerkezi.list;

/** @author Murat iNAN*/
public final class Statutes
extends Object
{

/** @return String array*/
public static final String [] getInstallStatutes ()
{
    return installstatutes;
}

/** @return String array*/
public static final String [] getOSStatutes ()
{
    return osstatutes;
}

/** @return String array*/
public static final String [] getReleaseStatutes ()
{
    return releasestatutes;
}

/** @return String array*/
public static final String [] getTypeStatutes ()
{
    return typestatutes;
}

/** @return String array*/
public static final String [] getYesNo ()
{
    return yesno;
}

/** @return String array*/
public static final String [] getMonths ()
{
    return months;
}

/** String array*/
private static final String [] months =
{
    "",
    "01", "02", "03", "04", "05", "06",
    "07", "08", "09", "10", "11", "12"
};

/** @return String array*/
public static final String [] getDays ()
{
    return days;
}

/** String array*/
private static final String [] days =
{
    "",
    "01", "02", "03", "04", "05", "06",
    "07", "08", "09", "10", "11", "12",
    "13", "14", "15", "16", "17", "18", 
    "19", "20", "21", "22", "23", "24", 
    "25", "26", "27", "28", "29", "30", "31"
};

/** @return String array*/
public static final String [] getYears ()
{
    java.util.Vector vec = new java.util.Vector ();
    vec.addElement ("");
    int len = 2101-1980;
    for (int i=0; i<len; i++)
    {
        vec.addElement (Integer.toString (i+1980));
    }
    
    len = vec.size ();
    String [] s = new String [len];
    
    for (int i=0; i<len; i++)
    {
        s [i] = (String)vec.get (i);
    }
    
    vec.removeAllElements ();
    vec = null;
    /*
    String [] s = new String []
    {
        "2008", "2009", "2010"
    };
    */
    return s;
}

/** String array*/
private static final String [] yesno =
{
    "Y", "N"
};

/** Desired array*/
private static final String [] installstatutes =
{
"Install and Uninstall", "Install Only", 
"No Install Support", "Uninstall Only"
};

/** Desired array*/
private static final String [] osstatutes =
{
"Android", "BlackBerry", "Handheld", 
"Mobile Other", "Mobil Phone", "iPhone", "iPod", "iTouch", 
"Java", "Linux", "Linux Console", "Linux Gnome", 
"Linux GPL", "Linux Open Source", "Mac OS X", 
"Mac Other", "MS-DOS", "Netware", "OpenVMS", "Palm", 
"Pocket PC", "Symbian", "Unix", "Win2000", "Win7 x32", 
"Win7 x64", "Win98", "WinMobile", "WinOther", "WinServer", 
"WinVista", "WinVista x64", "WinXP",  "Other", "Not Applicable"
};

/** Desired array*/
private static final String [] releasestatutes =
{
"Major Update", "Minor Update", 
"New Release", 
"Beta", "Alpha", "Media Only"
};

/** Desired array*/
private static final String [] typestatutes =
{
"Shareware", "Freeware", "Adware",
"Demo", 
"Commercial", "Data Only"
};

} //class end
